Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSUser Class Reference

Represents an user (an extension or user account) that can be registered with a call server. More...

`#import <CSUser.h>`

Inherits NSObject.

## Instance Methods
(void) | - start
| Starts all services. More...
(void) | - stop
| Stops all the services. More...

## Properties
id< CSUserRegistrationDelegate > | registrationDelegate
| The delegate responsible for handling user registration related events. More...
id< CSUserAdminEventDelegate > | userAdminDelegate
id< CSUserExternalAppInterfaceDelegate > | externalAppInterfaceDelegate
| The delegate responsible for handling external app interface related events. More...
id< CSUserResourceDiscoveryDelegate > | resourceDiscoveryDelegate
| The delegate responsible for handling resource discovery related events. More...
NSString * | userId
| The user ID of the user. More...
CSCallService * | callService
| Service providing call features for this user. More...
CSCallFeatureService * | callFeatureService
| Service providing call features for this user. More...
CSVisualVoiceMailService * | visualVoiceMailService
| Service providing visual voicemail feature for this user. More...
CSVoiceMessagingService * | voiceMessagingService
| Service providing voice messaging feature for this user. More...
CSPresenceService * | presenceService
| Service providing access to presence features for this user. More...
CSMessagingService * | messagingService
| Service providing access to messaging features for this user. More...
CSOtherPhoneService * | otherPhoneService
| Service providing other phone mode for this user. More...
CSHIDService * | hidService
| Service providing access to Human Interface Device (HID) updates. More...
CSSharedControlService * | sharedControlService
| Service providing access to shared control features for this user. More...
CSContactService * | contactService
| Service providing access to contact features for this user. More...
CSCollaborationService * | collaborationService
| Service providing collaboration services for this user. More...
CSCallLogService * | callLogService
| Service providing call log services for this user. More...
CSSpaceService * | spaceService
CSUnifiedPortalService * | unifiedPortalService
| Service providing access to Unified Portal features for this user. More...
CSExportService * | exportService
| Service providing exporting of messages for ConferenceChat and MessagingConversation for the user. More...
CSButtonModuleService * | buttonModuleService
| Service providing access to button module features for this local user. More...
NSArray * | externalAppIds
| The application Ids of any external applications that have registered to monitor and / or control calls on behalf of this user. More...
CSServiceStatus * | contactServiceStatus
| Returns ServiceStatus object describing whether the Contact service is enabled. More...
CSServiceStatus * | messagingServiceStatus
| Returns ServiceStatus object describing whether the Messaging service is enabled. More...
CSServiceStatus * | callServiceStatus
| Returns ServiceStatus object describing whether the Call service is enabled. More...
CSServiceStatus * | collaborationServiceStatus
| Returns ServiceStatus object describing whether the Collaboration service is enabled. More...
CSServiceStatus * | callFeatureServiceStatus
| Returns ServiceStatus object describing whether the CallFeature service is enabled. More...
CSServiceStatus * | presenceServiceStatus
| Returns ServiceStatus object describing whether the Presence service is enabled. More...
CSServiceStatus * | pushNotificationServiceStatus
| Returns ServiceStatus object describing whether the PushNotification service is enabled. More...
CSServiceStatus * | callLogServiceStatus
| Returns ServiceStatus object describing whether the CallLog service is enabled. More...
CSServiceStatus * | voiceMessagingServiceStatus
| Returns ServiceStatus object describing whether the VoiceMessaging service is enabled. More...
CSServiceStatus * | visualVoiceMailServiceStatus
| Returns ServiceStatus object describing whether the VisualVoiceMail service is enabled. More...
CSServiceStatus * | unifiedPortalServiceStatus
| Returns ServiceStatus object describing whether the UnifiedPortal service is enabled. More...
CSServiceStatus * | sharedControlServiceStatus
| Returns ServiceStatus object describing whether the SharedControl service is enabled. More...
CSServiceStatus * | otherPhoneServiceStatus
| Returns ServiceStatus object describing whether the other phone service is enabled. More...
CSServiceStatus * | hidServiceStatus
| Returns ServiceStatus object describing whether the HID service is enabled. More...
CSAgentService * | agentService
| Service providing access to Agent features for local user. More...
CSServiceStatus * | agentServiceStatus
| Returns ServiceStatus object describing whether the Agent service is enabled. More...
CSServiceStatus * | exportServiceStatus
| Returns ServiceStatus object describing whether the Export service is enabled. More...
CSServiceStatus * | buttonModuleServiceStatus
| Returns ServiceStatus object describing whether the button module service is enabled. More...
CSSignalingServerGroup * | signalingServerGroup
| Returns the SignalingServerGroup containing the complete call server list used by system, it contains additional servers discovered by system from different source including the servers provided by the user. More...

## Detailed Description

Represents an user (an extension or user account) that can be registered with a call server.

Identities are created through a protocol-specific signaling engine instance.

## Method Documentation

- (void) start |  |  |

Starts all services.

Progress is provided via the CSUserRegistrationDelegate methods and other service delegates. A successful callback sequence for a two-server configuration will be similar to the following:

- user:registrationInProgressWithServer:<server 1>
- user:registrationInProgressWithServer:<server 2>
- user:registrationSuccessfulWithServer:<server 1>
- user:registrationSuccessfulWithServer:<server 2>
- userRegistrationSuccessfulWithAllServers

- (void) stop |  |  |

Stops all the services.

Progress is provided via the CSUserRegistrationDelegate methods and other service delegates. A successful callback sequence for a two-server configuration will be similar to the following:

- user:unregistrationInProgressWithServer:<server 1>
- user:unregistrationInProgressWithServer:<server 2>
- user:unregistrationSuccessfulWithServer:<server 1>
- user:unregistrationSuccessfulWithServer:<server 2>
- userUnregistrationCompleteWithAllServers

## Property Documentation

- (CSAgentService*) agentService
| read nonatomic assign

Service providing access to Agent features for local user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) agentServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Agent service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSButtonModuleService*) buttonModuleService
| read nonatomic assign

Service providing access to button module features for this local user.

If the user is not configured to support button module, this property will return `nil`.

- (CSServiceStatus*) buttonModuleServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the button module service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSCallFeatureService*) callFeatureService
| read nonatomic assign

Service providing call features for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) callFeatureServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the CallFeature service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSCallLogService*) callLogService
| read nonatomic assign

Service providing call log services for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) callLogServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the CallLog service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSCallService*) callService
| read nonatomic assign

Service providing call features for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) callServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Call service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSCollaborationService*) collaborationService
| read nonatomic assign

Service providing collaboration services for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) collaborationServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Collaboration service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSContactService*) contactService
| read nonatomic assign

Service providing access to contact features for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) contactServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Contact service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSExportService*) exportService
| read nonatomic assign

Service providing exporting of messages for ConferenceChat and MessagingConversation for the user.

- (CSServiceStatus*) exportServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Export service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (NSArray*) externalAppIds
| read nonatomic assign

The application Ids of any external applications that have registered to monitor and / or control calls on behalf of this user.

- (id<CSUserExternalAppInterfaceDelegate>) externalAppInterfaceDelegate
| read write nonatomic weak

The delegate responsible for handling external app interface related events.

- (CSHIDService*) hidService
| read nonatomic assign

Service providing access to Human Interface Device (HID) updates.

- (CSServiceStatus*) hidServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the HID service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSMessagingService*) messagingService
| read nonatomic assign

Service providing access to messaging features for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) messagingServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Messaging service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSOtherPhoneService*) otherPhoneService
| read nonatomic assign

Service providing other phone mode for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) otherPhoneServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the other phone service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSPresenceService*) presenceService
| read nonatomic assign

Service providing access to presence features for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) presenceServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the Presence service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSServiceStatus*) pushNotificationServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the PushNotification service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (id<CSUserRegistrationDelegate>) registrationDelegate
| read write nonatomic weak

The delegate responsible for handling user registration related events.

- (id<CSUserResourceDiscoveryDelegate>) resourceDiscoveryDelegate
| read write nonatomic weak

The delegate responsible for handling resource discovery related events.

- (CSSharedControlService*) sharedControlService
| read nonatomic assign

Service providing access to shared control features for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) sharedControlServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the SharedControl service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSSignalingServerGroup*) signalingServerGroup
| read nonatomic assign

Returns the SignalingServerGroup containing the complete call server list used by system, it contains additional servers discovered by system from different source including the servers provided by the user.

Client application can persist it and then use it for subsequent registrations for creation of CSConnectionPolicy.

Returns
  CSSignalingServerGroup object containing the complete call server list used by system.
  - user:didReceiveSignalingServerGroup:

- (CSSpaceService*) spaceService
| read nonatomic assign

- (CSUnifiedPortalService*) unifiedPortalService
| read nonatomic assign

Service providing access to Unified Portal features for this user.

- (CSServiceStatus*) unifiedPortalServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the UnifiedPortal service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (id<CSUserAdminEventDelegate>) userAdminDelegate
| read write nonatomic weak

- (NSString*) userId
| read nonatomic assign

The user ID of the user.

- (CSVisualVoiceMailService*) visualVoiceMailService
| read nonatomic assign

Service providing visual voicemail feature for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) visualVoiceMailServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the VisualVoiceMail service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

- (CSVoiceMessagingService*) voiceMessagingService
| read nonatomic assign

Service providing voice messaging feature for this user.

If the user has not yet been configured this property will return `nil`.

- (CSServiceStatus*) voiceMessagingServiceStatus
| read nonatomic assign

Returns ServiceStatus object describing whether the VoiceMessaging service is enabled.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

The documentation for this class was generated from the following file:

- CSUser.h